%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}

%define oname   k3b
%define name 	k3b_0.10cvs
%define version 0.10
%define release 0.20030918.3mdk
%define summary CD/DVD-Burner for KDE3
%define major   1
%define libname %mklibname %{name} %major


Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Cd burning
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{oname}-i18n-0.9.tar.bz2
Patch0:		%{oname}-0.9-dontrunk3bsetupatstartup.patch.bz2
Patch1:		%{oname}-0.9-k3bsetup-defaultpathandgroup.patch.bz2
Patch2:		%{oname}-0.8.1-cdda-dlopen.patch.bz2
Patch5:		%{oname}-0.9-use-exclude-servicetype.patch.bz2
Patch6:		%{oname}-fix-exclude-kdedevice.patch.bz2
Patch7:		%{oname}-0.9-dont-display-root-cdrecord.patch.bz2

URL: 		http://k3b.sourceforge.net
Requires: 	cdrecord mkisofs cdrdao kdebase 
BuildRoot: 	%_tmppath/%{name}-buildroot

%if !%buildfor9_2
BuildRequires:  libcdda0-devel
BuildRequires:  kdelibs-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng3-devel
BuildRequires:  XFree86-devel
BuildRequires:	libmad0-devel
BuildRequires:  libarts-devel
BuildRequires:  libart_lgpl2-devel
BuildRequires:  libfam-devel
BuildRequires:  libaudiofile0-devel
BuildRequires:  libalsa2-devel
BuildRequires:  libvorbis0-devel
BuildRequires:  libnas2-devel
%else
BuildRequires:  libcdda-devel
BuildRequires:  kdelibs-devel
BuildRequires:  jpeg-devel
BuildRequires:  png-devel
BuildRequires:  XFree86-devel
BuildRequires:  mad-devel
BuildRequires:  arts-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  fam-devel
BuildRequires:  audiofile-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  libvorbis-devel
BuildRequires:  nas-devel
%endif

# Don't upgrade package in main automatically by providing k3b,
# conflict instead.
Conflicts:	k3b

Requires: %libname = %version-%release

%description
K3b is CD-writing software which intends to be feature-rich and 
provide an easily usable interface. Features include burning 
audio CDs from .WAV and .MP3 audio files, configuring external 
programs and configuring devices. 

%package -n %libname
Group: 		System/Libraries
Summary: 	Libraries from %name
Provides: 	lib%name = %version-%release
Conflicts:	libk3b1


%description -n %libname
The libraries from %name package

%package -n %libname-devel
Group: 		Development/Other
Summary: 	Libraries from %name
Requires:	%libname = %version-%release
Provides:	lib%name-devel = %version-%release

Provides: 	%{oname}-devel = %{version}-%{release}
Provides: 	%{name}-devel = %{version}-%{release}

Obsoletes:	%{oname}-devel
Obsoletes:	%{name}-devel

Conflicts:	libk3b1-devel

%description -n %libname-devel
The libraries from %name package

%package -n %name-plugins
Group: 		Development/Other
Summary: 	Libraries from %name
Provides:	%libname-plugins = %version-%release
Obsoletes:	%libname-plugins = %version-%release
Provides: 	%{name}-plugins= %{version}-%{release}


%description -n %name-plugins
The plugin libraries from %name package


%package -n %name-i18n
Group: 		Development/Other
Summary: 	i18n from %name
Requires:	%name = %version-%release

Provides: 	%{name}= %{version}-%{release}

%description -n %name-i18n
Internationalisation for %name package




%prep
%setup -q -c -n %{name}
%setup -q -T -D -c -a 1 -n %{name}
(
cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}
#%patch0 -p1 -b .dontrunk3bsetupatstartup
%patch1 -p1 -b .k3bsetup-defaultpathandgroup
#%patch2 -p1 -b .cdda-dlopen
%patch5 -p2 -b .use_exclude_servicetype
%patch6 -p2 -b .exclude_kdedevice
#%patch7 -p2 -b .dont_display_cdrecord_dialogbox
)


%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

(
cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}
CFLAGS="%optflags" CXXFLAGS="%optflags -fpermissive" \
./configure --with-qt-dir=/usr/lib/qt3 \
            --disable-rpath \
	    --prefix=%_prefix \
	    --libdir=%_libdir \
	    --mandir=%_mandir \
	    --datadir=%_datadir \
	    --disable-debug 

%make 
)

(
cd $RPM_BUILD_DIR/%{name}/%{oname}-i18n-0.9
make -f Makefile.cvs
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --with-qt-dir=/usr/lib/qt3 \
            --disable-rpath \
            --prefix=%_prefix \
            --libdir=%_libdir \
            --mandir=%_mandir \
            --datadir=%_datadir \
            --disable-debug

%make
)


%install
rm -rf %buildroot
mkdir -p %buildroot/%_datadir/applnk/Multimedia
(
cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}
%makeinstall
)

(
cd $RPM_BUILD_DIR/%{name}/%{oname}-i18n-0.9
%makeinstall
)

install -d %buildroot/%_menudir/
#install -m 644 %buildroot/%_datadir/applications/kde/%{oname}.desktop %buildroot/%_datadir/applnk/Multimedia/%{oname}.desktop
#rm -Rf %buildroot/%_datadir/applications
rm -Rf %buildroot/%_datadir/applnk/.hidden

kdedesktop2mdkmenu.pl %{oname} "Applications/Archiving/Cd burning" %buildroot/%_datadir/applnk/Multimedia/%{oname}.desktop %buildroot/%_menudir/%{oname} 
#kdedesktop2mdkmenu.pl %{name} "Applications/Archiving/Cd burning" %buildroot/%_datadir/applnk/Multimedia/k3bsetup.desktop %buildroot/%_menudir/k3bsetup
#fix menu warning
echo >> %buildroot/%_menudir/%{oname}
#fix packagename for k3b_0.10cvs
perl -pi -e "s|package\(%{oname}\)|package(%{name})|" %buildroot/%_menudir/k3b
#cat %buildroot/%_menudir/k3bsetup >> %buildroot/%_menudir/k3b
#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/%{oname}.png %buildroot/%_liconsdir
ln -s %_datadir/icons/hicolor/32x32/apps/%{oname}.png %buildroot/%_iconsdir
ln -s %_datadir/icons/hicolor/16x16/apps/%{oname}.png %buildroot/%_miconsdir

# Remove icons in servicemenu
cd %buildroot/%_datadir/apps/konqueror/servicemenus/
for i in *.desktop
		do perl -pi -e "s|Icon.*||" $i
done
cd -				

%{find_lang} %{oname}


%post
%{update_menus}

%postun
%{clean_menus}

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%post -n %name-plugins -p /sbin/ldconfig

%postun -n %name-plugins -p /sbin/ldconfig

%clean
rm -rf %buildroot

%files -f %{oname}.lang
%defattr (-,root,root)
%doc %{name}-%{version}/AUTHORS %{name}-%{version}/COPYING %{name}-%{version}/INSTALL %{name}-%{version}/ChangeLog %{name}-%{version}/README %{name}-%{version}/TODO 
%_bindir/*
%_menudir/*
%_datadir/applnk/Multimedia/*
%_datadir/apps/konqueror/servicemenus/*
%_datadir/mimelnk/application/*

%dir %_datadir/apps/%{oname}/
%_datadir/apps/%{oname}/eventsrc
%_datadir/apps/%{oname}/k3bui.rc
%_datadir/apps/%{oname}/tips
%dir %_datadir/apps/%{oname}/cdi/
%_datadir/apps/%{oname}/cdi/*
%dir %_datadir/apps/%{oname}/icons/
%_datadir/apps/%{oname}/icons/*
%dir %_datadir/apps/%{oname}/pics/
%_datadir/apps/%{oname}/pics/*


%_datadir/icons/hicolor/16x16/apps/*
%_datadir/icons/hicolor/32x32/apps/*
%_datadir/icons/hicolor/48x48/apps/*
%_datadir/icons/hicolor/64x64/apps/*.png
%_liconsdir/%{oname}.png
%_iconsdir/%{oname}.png
%_miconsdir/%{oname}.png

%dir %_datadir/sounds/
%_datadir/sounds/*

%files -n %libname
%defattr(-,root,root)
%doc %{name}-%{version}/AUTHORS %{name}-%{version}/COPYING %{name}-%{version}/INSTALL %{name}-%{version}/ChangeLog %{name}-%{version}/README %{name}-%{version}/TODO
%_libdir/libk3bcore.la
%_libdir/libk3bcore.so.*
%_libdir/libk3bproject.la
%_libdir/libk3bproject.so.*
%_libdir/libk3bplugin.la
%_libdir/libk3bplugin.so.*
%_libdir/libk3btools.la
%_libdir/libk3btools.so.*


%files -n %libname-devel
%defattr (-,root,root)
%doc %{name}-%{version}/AUTHORS %{name}-%{version}/COPYING %{name}-%{version}/INSTALL %{name}-%{version}/ChangeLog %{name}-%{version}/README %{name}-%{version}/TODO
%_includedir/*.h
%_libdir/libk3bcore.so
%_libdir/libk3bproject.so
%_libdir/libk3bplugin.so
%_libdir/libk3btools.so

%files -n %name-plugins
%defattr(-,root,root)
%dir %_datadir/apps/%{oname}/kpartplugins/
%_datadir/apps/%{oname}/kpartplugins/*
%dir %_datadir/apps/%{oname}/plugins/
%_datadir/apps/%{oname}/plugins/*
%_libdir/libk3baudiometainforenamerplugin.la
%_libdir/libk3baudiometainforenamerplugin.so
%_libdir/libk3bmaddecoder.la
%_libdir/libk3bmaddecoder.so
%_libdir/libk3boggvorbisdecoder.la
%_libdir/libk3boggvorbisdecoder.so
%_libdir/libk3boggvorbisencoder.la
%_libdir/libk3boggvorbisencoder.so
%_libdir/libk3bwavedecoder.la
%_libdir/libk3bwavedecoder.so
%_libdir/libk3bsoxencoder.la
%_libdir/libk3bsoxencoder.so
%_libdir/libk3bexternalencoder.la
%_libdir/libk3bexternalencoder.so


%changelog
* Tue Oct 07 2003 Marcel Pol <mpol@gmx.net> 0.10-0.20030918.3mdk
- fix packagename in menufile

* Wed Sep 24 2003 Marcel Pol <mpol@gmx.net> 0.10-0.20030918.2mdk
- don't provide k3b, don't upgrade package in main automatically
- conflict with k3b packages

* Fri Sep 19 2003 Svetoslav Slavtchev <svetoslav@users.sourceforge.net> 0.10-0.20030918.1mdk
- update source 
  all speel fixes merged upstream (drop the patches)
  better fix for empty disk waiter in upstream
  better error handling in growisofs and 
  better speed estimating/settings for DVD media
  more plugins :)  

* Tue Sep 16 2003 Marcel Pol <mpol@gmx.net> 0.10-0.20030910.3mdk
- merge plugin packages (from Svetoslav Slavtchev)
- fix %%Name -> %%name

* Thu Sep 11 2003 Svetoslav Slavtchev <svetoslav@users.sourceforge.net>0.10-0.20030910.2mdk
- some more DVD tweaks
- fix empty disk waiter for DVD-R if mode!=auto
- change name to k3b_0.10cvs

* Thu Sep 11 2003 Svetoslav Slavtchev <svetoslav@users.sourceforge.net>0.10-0.20030910.1mdk
- update source & clean cvs tree
- drop the core dvd tweaks
- split into base pkg & plugins
 (not sure it will work without installing the plugins) 
- switch to the cooker k3b spec(old changelog skiped)

* Mon Sep 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-10mdk
- Fix kdebase-servicemenu (Patch6)
- Patch7: don't display cdrecord dialogbox to say "You don't have root acces"

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-8mdk
- Remove entry k3bsetup not necessary

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-7mdk
- Fix requires
- Fix Obsoletes

* Mon Sep 01 2003 Laurent Culioli <laurent@pschit.net> 0.9-6mdk
- mklibification
- drop patch4 ( merged upstream )
- reintroduce some patches
   o patch0 ( dont run k3bsetup at startup )
   o patch1 ( default group and path )
   o patch3 ( drop /opt/blabla path )
- add really i18n
- clean specfile

* Tue Aug 26 2003 David Baudens <baudens@mandrakesoft.com> 0.9-5mdk
- Remove icon in servicemenu

* Tue Aug 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-4mdk
- Add patch5: use excludeservicetype

* Sun Aug 03 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9-3mdk
- drop unapplied patches
- from Angelo N. <random_lx@yahoo.com>:
	o changed 0.8-i18n in i18n-0.9

* Sat Jul 26 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9-2mdk
- rebuild
- use -fpermissive to allow compile

* Tue Jul 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-1mdk
- 0.9

* Fri Jul 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-6mdk
- Add patch4: hide help button in wizard, it doesn't work

* Thu Jul 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-5mdk
- Add patch3

* Thu Jul 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-4mdk
- Fix requires

* Fri Mar 14 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.8.1-3mdk
- dlopen libcdda_{interface,paranoia}.so.0 instead of .so
- Requires libcdda0

* Sun Mar 02 2003 Laurent Culioli <laurent@pschit.net> 0.8.1-2mdk
- fix i18n build ( thanx to rcc )
- change default group ( cdrecorder -> cdwriter ) and default 
  path ( /cdrom -> /mnt/cdrom ) in k3bsetup ( thx to rcc )

* Fri Feb 28 2003 Laurent Culioli <laurent@pschit.net> 0.8.1-1mdk
- 0.8.1 ( lot of bugfixs )

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 0.8-2mdk
- add i18n ( now in a separate tarball )
- patch0 : dont run k3bsetup a startup

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- Update

* Tue Jan 16 2003 Laurent Culioli <laurent@pschit.net> 0.7.5-2mdk
- rebuild

* Sun Nov 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.5-1mdk
- 0.7.5

* Thu Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.4-1mdk
- 0.7.4

* Mon Nov  4 2002 Götz Waschk <waschk@linux-mandrake.com> 0.7.3-2mdk
- fix the rpmlint warnings about the menu
- requires kdesu
- add a libdir to the configure call
- add a clean section
- drop id3lib requires

* Fri Oct 18 2002 Laurent Culioli <laurent@pschit.net> 0.7.3-1mdk
- bump to 0.7.3

* Sat Sep 28 2002 Laurent Culioli <laurent@pschit.net> 0.7.1-1mdk
- bump to 0.7.1
- fix kdedesktop2mdkmenu.pl error

* Fri Aug 16 2002 Laurent Culioli <laurent@pschit.net> 0.7-4mdk
- Rebuild with gcc3.2

* Sat Aug 03 2002 Laurent Culioli <laurent@pschit.net> 0.7-3mdk
- Rebuild against libvorbis

* Fri Jun 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-2mdk
- Rebuild

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.5mdk
- Rebuild

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.4mdk
- Rebuild against gcc3.1

* Fri Apr 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.3mdk
- Fix conflict with k3b from kde2 (bug reported by 
  Charles A Edwards <eslrahc@bellsouth.net> thanks a lot )

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.2mdk
- Fix update menu

* Wed Apr 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-0.pre2.1mdk
- Port to kde3


